<template name="frameCourselistPage">
	<style type="text/css">
		/* beautify ignore:start */
		{{#each cssRule in cssRules}}
			{{cssRule}}
		{{/each}}
		/* beautify ignore:end */

	</style>

	{{#each course in courses}}
		{{> frameCourselistCourse course=course hideInterested=hideInterested}}
	{{/each}}
	{{#unless Template.subscriptionsReady}}
		{{> loadingRow}}
	{{/unless}}
	{{#if moreCourses}}
		<div class="mt-2 text-center">
			<button class="js-show-more-courses btn btn-secondary" type="button">
				{{i18n '_button.more'}}
			</button>
		</div>
	{{/if}}
</template>

<template name="frameCourselistCourse">
	<div class="frame-list-item">
		<h4 class="frame-list-item-header js-toggle-course-details">
			<span class="frame-list-item-toggle-indicator">
				<i class="fa-solid fa-angle-down"></i>
			</span>
			{{#unless hideInterested}}
				<span class="frame-list-item-interested"
					  title="{{i18n 'frame.courseList.interestedPersons' 'Interested people' attr=true}}">
					<i class="fa-solid fa-user fa-fw"></i>
					{{interestedPersons course}}
				</span>
			{{/unless}}
			{{course.name}}
			{{#if allRegions}}
				<span class="badge bg-primary frame-list-item-region">
					{{regionOf course}}
				</span>
			{{/if}}
		</h4>
		{{#if expanded}}
			<div class="p-2">
				<div class="row">
					<div class="col-sm-2">
						<strong>{{i18n 'frame.eventsList.description'}}</strong>
					</div>
					<div class="col-sm-10">
						{{{course.description}}}
					</div>
				</div>
				<div class="mt-2 d-grid d-sm-flex">
					<a class="btn btn-outline-dark" href="{{pathFor 'showCourse' data=course}}"
					   target="_blank">
						{{i18n 'frame.courseList.moreAboutThisCourse' 'More on {SITENAME}' SITENAME=siteName}}
					</a>
				</div>
			</div>
		{{/if}}
	</div>
</template>
